declare const _default: ({
    title: string;
    pipelineUrl: string;
    formfactorName: string;
    parameters: {
        name: string;
        description: string;
        isInput: boolean;
        isOutput: boolean;
    }[];
    tasks: {
        taskType: string;
        name: string;
        title: string;
        content: string;
        resultingParameterName: string;
        dependentParameterNames: string[];
    }[];
    personas: never[];
    preparations: never[];
    knowledgeSources: never[];
    knowledgePieces: never[];
    sourceFile: string;
} | {
    title: string;
    pipelineUrl: string;
    formfactorName: string;
    parameters: {
        name: string;
        description: string;
        isInput: boolean;
        isOutput: boolean;
    }[];
    tasks: {
        taskType: string;
        name: string;
        title: string;
        content: string;
        resultingParameterName: string;
        expectations: {
            words: {
                min: number;
                max: number;
            };
        };
        dependentParameterNames: string[];
    }[];
    personas: never[];
    preparations: never[];
    knowledgeSources: never[];
    knowledgePieces: never[];
    sourceFile: string;
} | {
    title: string;
    pipelineUrl: string;
    formfactorName: string;
    parameters: {
        name: string;
        description: string;
        isInput: boolean;
        isOutput: boolean;
    }[];
    tasks: {
        taskType: string;
        name: string;
        title: string;
        content: string;
        resultingParameterName: string;
        format: string;
        dependentParameterNames: string[];
    }[];
    personas: never[];
    preparations: never[];
    knowledgeSources: never[];
    knowledgePieces: never[];
    sourceFile: string;
})[];
export default _default;
